function  viewBusiness(id) {
    window.open('/bill/basicView?viewInitiation=1&historyId='+id)
    return false;
}

//处理
function updateBusiness(id) {
    settleAllQuery.listPage = $('#contractList').getGridParam('page');
    //$(".yk_rightcontent").load('/bill/changePage?id='+id)
    //$(".yk_rightcontent").load("/salesContract/add?taskId="+taskId + '&id='+ businessKey)
    $.get('/bill/changePage?id='+id,function(data){
        if(data.code == '500') {
            new $.zui.Messager(data.msg, {
                type: 'warning'
            }).show();
        }else {
            $('.yk_rightcontent').empty().html(data)
        }
    });
}

//下载
function dowmLoadBusiness(id) {
    $("#export").attr("href",'/bill/downloadAllSettlementFile?id='+id);
    $("#export").get(0).click();
}
// 下载出证证明
function dowmLoadProve(id) {
    $("#export").attr("href",'/bill/download/report?id='+id);
    $("#export").get(0).click();
}


//进度时间轴
function timeLime(id){
    $('.progressTimelinebox').empty();
    $.ajax({
        url:'/businessProcessingTask/doTimelineList',
        type:'get',
        data:{
            'businessKey':id,
            'businessType':'BillBasicInformation'
        },
        success:function(data){
            if( data.success ){
                var text = '';
                for( var i=0;i<data.data.length;i++ ){
                    text += '<div class="progressTimeline"><div><span></span>'+data.data[i].formBusinessName+'</div>';
                    for( var j=0;j<data.data[i].logs.length;j++ ){
                        var assigneeName = data.data[i].logs[j].assigneeName ? data.data[i].logs[j].assigneeName : ''
                        text += '<p><span style="width: 2.7rem">'+data.data[i].logs[j].assigneeTypeName+'：'+ assigneeName +'</span>';
                        if( data.data[i].logs[j].status ){
                            text += '<span>状态：'+data.data[i].logs[j].status+'</span>';
                        };
                        if( data.data[i].logs[j].startTime ){
                            text += '<span style="width: 2.3rem">开始时间：'+data.data[i].logs[j].startTime+'</span>';
                        };
                        if( data.data[i].logs[j].endTime ){
                            text += '<span style="width: 2.3rem">完成时间：'+data.data[i].logs[j].endTime+'</span>';
                        };
                        text += '</p>'
                    };
                    j = null;
                    text += '</div>';
                };
                i = null;
                $('.progressTimelinebox').append(text);
            }else{
                new $.zui.Messager('获取时间轴信息失败:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        },
        error:function(error){
            new $.zui.Messager('获取时间轴信息发生错误:'+error, {
                type: 'danger'
            }).show();
        }
    })
    $("#myModal-progressTimeline").modal('show')
};



$(function () {

    // 重新加载列表
    function reloadList(){
        $('#contractList').setGridParam({
            mtype:'GET',
            url : '/businessProcessingTask/doList?simpleClassName=BillBasicInformation',
            datatype : 'json',
            postData: {
                'sourceBusinessId':settleQuery.detailId2,
                'startDate':settleAllQuery.startDate,
                'endDate':settleAllQuery.endDate,
                'statusId':settleAllQuery.status,
                'fastSearch':settleAllQuery.searchName
            },
            page : 1
        });
        $('#contractList').trigger('reloadGrid');
    };

    //初始化日期
    function setDate(select,startDate,endDate){
        $(select).datetimepicker(
            {
                weekStart: 1,
                autoclose: 1,
                todayHighlight: 0,
                startView: 2,
                minView: 2,
                forceParse: 0,
                showMeridian: 1,
                startDate:startDate,
                endDate:endDate,
                format: "yyyy-mm-dd"
            }
        );
        $(select).datetimepicker('setStartDate',startDate);
        $(select).datetimepicker('setEndDate',endDate);
    };
    setDate('#businessStartDate,#businessEndDate','1970-01-01','2116-12-31');

    $("#businessStartDate").val(settleAllQuery.startDate);
    $("#businessEndDate").val(settleAllQuery.endDate);
    $("#businessStatus").val(settleAllQuery.status);
    $("#searchName").val(settleAllQuery.searchName.split('%')[1]);


    // '开始日期'的变化
    $("#businessStartDate").change(function(){
        settleAllQuery.startDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessEndDate',$(this).val(),'2116-12-31');
        reloadList();
    });
    $("#businessStartDate").change();

    // '结束日期'的变化
    $("#businessEndDate").change(function(){
        settleAllQuery.endDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessStartDate','1918-01-01',$(this).val());
        reloadList();
    });
    $("#businessEndDate").change();

    // 日期输入框可删除
    $('.deleteTime').each(function(i,ele){
        $(ele).prev().change(function(){
            if( $(this).val()!=='' ){
                $(ele).show();
            }else{
                $(ele).hide();
            }
        });
        $(ele).prev().change();
    });

    // 删除日期
    $('.deleteCreateTime').click(function(){
        $(this).prev().val('');
        $(this).hide();
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()=='' ){
            setDate('#businessEndDate,#businessStartDate','1970-01-01','2116-12-31');
        };
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()!='' ){
            setDate('#businessStartDate','1970-01-01','2116-12-31');
            setDate('#businessEndDate',$("#businessStartDate").val(),'2116-12-31');
        };
        if( $("#businessEndDate").val()!='' && $("#businessStartDate").val()=='' ){
            setDate('#businessStartDate','1970-01-01',$("#planEndDate").val());
            setDate('#businessEndDate','1970-01-01','2116-12-31');
        };
        switch( $(this).prev().attr('id') ){
            case 'businessStartDate':settleAllQuery.startDate = '';break;
            case 'businessEndDate':settleAllQuery.endDate = '';break;
        };
        reloadList();
    });

    // 状态变化
    $("#businessStatus").change(function(){
        settleAllQuery.status = $(this).val();
        reloadList();
    });

    // 操作列
    function operateBusiness(cellValue,options,rowObject){
        var btnstr = '';
        //if( $('#timeLine').length>0 ){
        btnstr += '<p><span>时间进度轴</span><i class="operateIconfont operateIcon-shijianzhou" onclick="timeLime(' + rowObject.id + ')"></i></p>';
        //};
        if( $('#viewBill').length>0 ){
        btnstr += '<p><span>查看</span><i class="operateIconfont operateIcon-chakan" onclick="viewBusiness('+rowObject.id+')"></i></p>';
        };
        if(rowObject.status.name=='已审核') {
            if( $('#changeBill').length>0 ) {
                btnstr += '<p><span>变更</span><i class="operateIconfont operateIcon-biangengjilu" onclick="updateBusiness(' + rowObject.id + ')"></i></p>';
            }
        }
        if( $('#downloadAllSettlementFile').length>0 ) {
            if( rowObject.downloadFileFlag ) {
                btnstr += '<p><span>下载</span><i class="operateIconfont operateIcon-xiazai" onclick="dowmLoadBusiness( '+rowObject.id+')"></i></p>';
            }
        }
        if( rowObject.status.code == 'bill_sign'){
            if( $('#downloadReport').length>0 ) {
                btnstr += '<p><span>下载出证证明</span><i class="operateIconfont operateIcon-xiazai" onclick="dowmLoadProve( '+rowObject.id+')"></i></p>';
            }
        };
        return '<div class="operateIcon noHover">'+btnstr+'</div>';
    };

    function showAmount(cellValue,options,rowObject) {
        return commaDelimiter(cellValue)
    }

    sxUtil.jqGrid('#contractList', {
        colNames: ['ID', '序号','结算单号', '业务编号','核心企业名称', '业务名称', '供应商名称',  '结算日期','结算金额', '状态',  '最近更新时间',  '操作'],
        colModel: [
            {name: 'id', label: 'ID', hidedlg: true, hidden: true, sortable: false, title: false},
            {name: 'orderNumber', label: '序号', sortable: false, width: 50, align: 'center', title: false},
            {name: 'moduleNumber', label: '结算单号', sortable: false,align: 'center', title: false},
            {name: 'businessNumber', label: '业务编号', sortable: false,align: 'center', title: false},
            {name: 'customerName', label: '核心企业名称', sortable: false,align: 'center', title: false},
            {name: 'businessName', label: '业务名称', sortable: false,align: 'center', title: false},
            {name: 'supplierName', label: '供应商名称', sortable: false,align: 'center', title: false},
            {name: 'settlementDate', label: '结算日期', sortable: false, align: 'center', title: false},
            {name: 'settlementAmount', label: '结算金额', sortable: false, align: 'center', title: false,formatter:showAmount},
            {name: 'status.name', label: '状态', sortable: false, align: 'center',  title: false},
            {name: 'gmtModified', label: '最近更新时间', sortable: false, align: 'center', title: false ,width: '250px'},
            {
                name: 'remark',
                label: '操作',
                sortable: false,
                align: 'left',
                width: 140,
                title: false,
                formatter: operateBusiness
            }
        ],
        height: 'auto',
        mtype: 'GET',
        url: '/businessProcessingTask/doList?simpleClassName=BillBasicInformation',
        pager: "#contractListPage",
        multiselect: false,
        rownumbers: false,
        postData: {
            'sourceBusinessId':settleQuery.detailId2,
            'startDate':settleAllQuery.startDate,
            'endDate':settleAllQuery.endDate,
            'statusId':settleAllQuery.status,
            'fastSearch':settleAllQuery.searchName
        },
        page: settleAllQuery.listPage,
        loadError: function () {
            new $.zui.Messager('列表加载失败', {
                type: 'warning'
            }).show();
        }
    }, true);

    //搜索
    $("#searchBusiness").click(function () {
        settleAllQuery.startDate = $("#businessStartDate").val();
        settleAllQuery.endDate = $("#businessEndDate").val();
        settleAllQuery.status = $("#businessStatus").val();
        settleAllQuery.searchName = $("#searchName").val();
        settleAllQuery.listPage = 1;
        reloadList();
    })

    //切换表格
    $(".projectListTab li").click(function () {

        if ($(this).text() == '待我处理') {
            $(".yk_rightcontent").load('/bill/pendingList?businessBasicId='+settleQuery.detailId2);
        } else if ($(this).text() == '我已处理') {
            $(".yk_rightcontent").load('/bill/findMyCompletedList?businessBasicId='+settleQuery.detailId2);
        }else if ($(this).text() == '全部') {
            $(".yk_rightcontent").load('/bill/allList?businessBasicId='+settleQuery.detailId2);
        }
    });

    $(".newBackBtn").click(function () {
        $(".yk_rightcontent").load('/bill/businessList')
    })


})
